Single Nominator Pool
Create Staking Request
Create the staking request transaction in the single nominator pool.
POST
/
api
/
v1
/
ton
/
{network}
/
staking
/
single-nominator
/
stake
Create Staking Request
curl --request POST \
--url https://api.p2p.org/api/api/v1/ton/{network}/staking/single-nominator/stake \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"publicKey": "7031f1dcbe0f670daf4094d04ff9a7947bc4ac9174a7d470255d1a664e20b7c6",
"amount": 20000000000,
"walletVersion": "V4"
}
'import requests
url = "https://api.p2p.org/api/api/v1/ton/{network}/staking/single-nominator/stake"
payload = {
"publicKey": "7031f1dcbe0f670daf4094d04ff9a7947bc4ac9174a7d470255d1a664e20b7c6",
"amount": 20000000000,
"walletVersion": "V4"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
publicKey: '7031f1dcbe0f670daf4094d04ff9a7947bc4ac9174a7d470255d1a664e20b7c6',
amount: 20000000000,
walletVersion: 'V4'
})
};
fetch('https://api.p2p.org/api/api/v1/ton/{network}/staking/single-nominator/stake', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"result": {
"unsignedTransaction": "b5ee9c7241010101003000005c00000000000000039fedeab7a2b56b38f19f60b5b9f70b2f1ba2d89b9c5a756036c7cfad73571fb28188ee6b2800b10cbe42",
"walletVersion": "V4",
"stakerAddress": "7031f1dcbe0f670daf4094d04ff9a7947bc4ac9174a7d470255d1a664e20b7c6",
"publicKey": "7031f1dcbe0f670daf4094d04ff9a7947bc4ac9174a7d470255d1a664e20b7c6",
"amount": 2
}
}{
"error": {
"code": 123,
"name": "ThrottlerException",
"message": "ThrottlerException",
"errors": [
{}
]
},
"result": null,
"requestId": "90c16e9e-6e99-4651-a033-60290356df2f",
"timestamp": "2026-05-20T22:29:03.126Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
TON network:
- `mainnet` — production network.
- `testnet` — testnet.
Available options:
mainnet, testnet Body
application/json
Public key of the nominator for the TON network.
Example:
"7031f1dcbe0f670daf4094d04ff9a7947bc4ac9174a7d470255d1a664e20b7c6"
Amount of tokens to stake in nanoGRAMs (1 GRAM = 10⁹ nanoGRAMs, prev. nanoTONs).
Example:
20000000000
Version of the smart contract used by the wallet in the TON blockchain.
Available options:
V3R1, V3R2, V4, V5R1 Example:
"V4"
Related topics
Create Staking RequestCreate Staking Request
